char *buildURL(const char* user=0, const char* password=0, const char* workgroup=0, const char *host=0, const char* share=0, const char* path=0, const char* ip=0)

## Method Description

This function will build an URL from its arguments and return it.

Unlike the previous versions of libsmb, the resulting pointer is now the property of the library so you should not delete it.

## See also :

Parser for smb URLs. It can interpret "." and ".." as subdirectories, and query for hosts/workgroups.
void parse(const char *name, bool interpretDirs = true)

Copyright © Nicolas Brodu, 1999 - 2000